Bug 1010281 - Importing a domain class named "Exception" raises an ambiguity exception during RHS compilation
Importing a domain class named "Exception" raises an ambiguity exception duri...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Mario Fusco
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 08:41 EDT by Mario Fusco
Modified: 2014-08-06 16:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-253 Blocker Resolved Importing a domain class named "Exception" raises an ambiguity exception during RHS compilation 2013-10-17 11:48:37 EDT

  None (edit)
Description Mario Fusco 2013-09-20 08:41:05 EDT
If a user class named Exception is used,

import my.own.domain.Exception

rule "Foo"
when then end

the RHS compilation process resolves "Exception" to that name
rather than to java.lang.Exception

>> Rule compilation error [Rule name=Foo] :
{if import * is used }

The type Exception is ambiguous
{if explicit import is used }

Exception is not Throwable
Comment 1 Mario Fusco 2013-09-20 08:46:22 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/2fe546dbd
Comment 2 JBoss JIRA Server 2013-09-20 08:47:34 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-253 to Resolved
Comment 4 Tomas Schlosser 2013-10-17 11:48:25 EDT
Verified in BRMS 6.0.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.